summaryrefslogtreecommitdiff
path: root/lkm/ap/apinstall
diff options
context:
space:
mode:
authorMichael Shalayeff <mickey@cvs.openbsd.org>1996-03-05 11:25:47 +0000
committerMichael Shalayeff <mickey@cvs.openbsd.org>1996-03-05 11:25:47 +0000
commit893299cc0a36933ec9cdce3950f57704563d85d9 (patch)
treeb6779d25afe196235877cde8d10a239bbaa1c991 /lkm/ap/apinstall
parente2b11e368bb52c9edf7e531909731009d03eb7bf (diff)
XFree86 aperture driver.
From 3.1.2 version (for NetBSD).
Diffstat (limited to 'lkm/ap/apinstall')
-rw-r--r--lkm/ap/apinstall16
1 files changed, 16 insertions, 0 deletions
diff --git a/lkm/ap/apinstall b/lkm/ap/apinstall
new file mode 100644
index 00000000000..eef9f931350
--- /dev/null
+++ b/lkm/ap/apinstall
@@ -0,0 +1,16 @@
+#! /bin/sh
+# $OpenBSD: apinstall,v 1.1 1996/03/05 11:25:31 mickey Exp $
+#
+# Postinstall script for NetBSD Aperture Driver
+#
+# Copyright (C) 1994 The XFree86 Project Inc.
+#
+if [ $# -ne 3 ]; then
+ echo "$0: should be called by modload(8) with 3 arguments"
+ exit 1
+fi
+
+echo "Major device number: $3"
+rm -f /dev/xf86
+mknod /dev/xf86 c $3 0
+exit 0